# Class SnpEffPredictorFactoryFeatures

java.lang.Object
org.snpeff.snpEffect.factory.SnpEffPredictorFactory
org.snpeff.snpEffect.factory.SnpEffPredictorFactoryFeatures

Direct Known Subclasses:
  `SnpEffPredictorFactoryEmbl, SnpEffPredictorFactoryGenBank`

public abstract class SnpEffPredictorFactoryFeatures extends SnpEffPredictorFactory
This class creates a SnpEffectPredictor from a 'features' file. This includes derived formats as GenBank and Embl. References: http://www.ebi.ac.uk/embl/Documentation/User_manual/printable.html http://www.ebi.ac.uk/embl/Documentation/FT_definitions/feature_table.html

Author:
  pcingola

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`OFFSET`

### Fields inherited from class SnpEffPredictorFactory

`MARK, MIN_TOTAL_FRAME_COUNT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffPredictorFactoryFeatures(Config config)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addFeatures(Features features)`
Add all features
`SnpEffectPredictor`
`create()`
`protected String`
`geneId(Feature f, int start, int end)`
Try to get geneIDs
`protected String`
`geneName(Feature f, int start, int end)`
Get gene name from feature
`Map<String,String>`
`getProteinByTrId()`

### Methods inherited from class SnpEffPredictorFactory

`add, add, add, add, add, add, addMarker, addSequences, adjustChromosomes, adjustTranscripts, beforeExonSequences, codingFromCds, collapseZeroLenIntrons, createRandSequences, deleteRedundant, exonsFromCds, exonsFromCds, findGene, findGene, findMarker, findTranscript, findTranscript, getOrCreateChromosome, parsePosition, readExonSequences, replaceTranscript, setCircularCorrectLargeGap, setCreateRandSequences, setDebug, setFastaFile, setFileName, setRandom, setReadSequences, setStoreSequences, setVerbose, showChromoNamesDifferences`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### OFFSET

public static final int OFFSET

See Also:
  - Constant Field Values

## Constructor Details

### SnpEffPredictorFactoryFeatures

public SnpEffPredictorFactoryFeatures(Config config)

## Method Details

### addFeatures

protected void addFeatures(Features features)
Add all features

### create

public SnpEffectPredictor create()

Specified by:
  `create` in class `SnpEffPredictorFactory`

### geneId

protected String geneId(Feature f, int start, int end)
Try to get geneIDs

### geneName

protected String geneName(Feature f, int start, int end)
Get gene name from feature

### getProteinByTrId

public Map<String,String> getProteinByTrId()

Overrides:
  `getProteinByTrId` in class `SnpEffPredictorFactory`